BEGIN BSHAREI

IF ~See(Player1)
Gender(Player1,FEMALE)
Global("BodhiStrongholdPledged","LOCALS",0)
Global("BodhiStronghold","GLOBAL",2)~ THEN BEGIN pledgeMaster1F
   SAY ~I will serve you, my mistress!~
IF ~~ THEN DO ~SetGlobal("BodhiStrongholdPledged","LOCALS",1)~ EXIT
END

IF ~See(Player1)
!Gender(Player1,FEMALE)
Global("BodhiStrongholdPledged","LOCALS",0)
Global("BodhiStronghold","GLOBAL",2)~ THEN BEGIN pledgeMaster1M
   SAY ~I will serve you, my master!~
IF ~~ THEN DO ~SetGlobal("BodhiStrongholdPledged","LOCALS",1)~ EXIT
END


IF ~See(Player1)
  Gender(Player1,FEMALE)
  Global("HareishanResurrected","GLOBAL",1)~
THEN BEGIN greetingStartF
   SAY ~It's you! Everytime we met you are killing me. Why did you resurrect me?~
   ++ ~What are talking about?~ + briefingNV1
   ++ ~I will let you live, if you will serve me!~ + briefingNV1
   ++ ~I became addicted to killing you!~ + briefing3f
END


IF ~See(Player1)
!Gender(Player1,FEMALE)
  Global("HareishanResurrected","GLOBAL",1)~
THEN BEGIN greetingStart
   SAY ~It's you! Everytime we met you are killing me. Why did you resurrect me?~
   ++ ~What are talking about?~ + briefingNV1
   ++ ~I will let you live, if you will serve me!~ + briefingNV1
   ++ ~I wanted to kill you again!~ + briefing3f
END


IF ~~ briefingNV1
  SAY ~Did you forgot how you killed me in iron mine of Iron Throne? In Cloakwood? My happiness there was a representative from Night Counsil. I helped vampires to search for their relics, so she have converted me to vampire and sent me to serve under Bodhi, so counsil will watch her actions.~
  ++ ~Bodhi plans are defeated, so you can join my party and watch over me for Night Counsil.~ + briefing2
  ++ ~You are free to go. I release you.~ + briefing3
  ++ ~Die, drowned witch!~ + briefing3f
END



IF ~~ briefing2
  SAY ~Just don't try to kill poor Hareishan again.~
  IF ~~ THEN DO ~
  MakeGlobal()
  SetGlobal("HareishanResurrected","GLOBAL",2)
  DestroyItem("VVHDULC")
  GiveItemCreate("VVCASKET",Myself,1,1,0) // Empty Casket		
  JoinParty()
  ~ EXIT
END

IF ~~ briefing3f
  SAY ~I don't want to die third time!~
  IF ~~ THEN DO ~SetGlobal("HareishanResurrected","GLOBAL",2)
  SetGlobal("HareishanLeft","GLOBAL",1)
Enemy()
~ EXIT
END

IF ~~ briefing3
  SAY ~Goodbye, <CHARNAME>. I will return to Zentharim with reports. I hope they don't kill me on sight for what I have become.~
  IF ~~ THEN DO ~RunAwayFromNoInterrupt(Player1,50)
  SetGlobal("HareishanResurrected","GLOBAL",2)
DestroySelf()
~ EXIT
END

//when thrown out
IF ~Gender(Player1,MALE)
!Global("BodhiStronghold","GLOBAL",2)
!InParty(Myself)~ THEN BEGIN GreetingVManB1
SAY ~Do you need me, my master?~ 
 ++ ~Come with me, Hareishan, I need your skills.~ + notparty1
 ++ ~Stay here, Hareishan, I will return.~ + notparty2
  ++ ~You are free to go. I release you.~ + briefing3 
 ++ ~I decided to end your life.~ + briefing3f
END

IF ~~ notparty2
SAY ~Okay, master!~
IF ~~ THEN DO ~~ EXIT
END

IF ~Gender(Player1,FEMALE)
!Global("BodhiStronghold","GLOBAL",2)
!InParty(Myself)~ THEN BEGIN GreetingVFemB1
SAY ~Do you need me, my mistress?~ 
 ++ ~Come with me, Hareishan, I need you, my servant.~ + notparty1
 ++ ~Stay here, Hareishan, I will return.~ + notparty2
  ++ ~You are free to go. I release you.~ + briefing3  
 ++ ~I decided to end your life.~ + briefing3f
END

IF ~Gender(Player1,FEMALE)
Global("BodhiStronghold","GLOBAL",2)
!InParty(Myself)~ THEN BEGIN GreetingVFemB1
SAY ~Do you need me, my mistress?~ 
 ++ ~Come with me, Hareishan, I need you, my servant.~ + notparty1
 ++ ~Go to our Stronghold in Grave Yard District. I will find you there, if it will be needed.~ + notpartGoST
 ++ ~Stay here, Hareishan, I will return.~ + notparty2
  ++ ~You are free to go. I release you.~ + briefing3  
 ++ ~I decided to end your life.~ + briefing3f
END


IF ~Gender(Player1,MALE)
Global("BodhiStronghold","GLOBAL",2)
!InParty(Myself)~ THEN BEGIN GreetingVMAleB1
SAY ~Do you need me, my master?~ 
 ++ ~Come with me, Hareishan, I need you, my servant.~ + notparty1
 ++ ~Go to our Stronghold in Grave Yard District. I will find you there, if it will be needed.~ + notpartGoST
 ++ ~Stay here, Hareishan, I will return.~ + notparty2
  ++ ~You are free to go. I release you.~ + briefing3  
 ++ ~I decided to end your life.~ + briefing3f
END

IF ~~ notparty1m
  SAY ~I'll be watching you.~
  IF ~~ THEN DO ~
	//	DestroyItem("VVHareishan")
	//	DestroyItem("MONHP1")
		JoinParty()~ EXIT
END

IF ~~ notparty1
  SAY ~I'll be watching you.~
  IF ~~ THEN DO ~
		JoinParty()~ EXIT
END

IF ~~ notpartGoST
   SAY ~Okay, okay!~
   IF ~~ THEN DO ~LeaveParty()
   RunAwayFromNoInterrupt(Player1,40)
   MoveBetweenAreas("AR0808",[555.704],S)~ EXIT
 END  

// talk in party

IF ~Gender(Player1,MALE)
InParty(Myself)
Race(Player1,VAMPIRE)~ THEN BEGIN GreetingManV1
SAY ~My master, do you need something from me?~ 
 ++ ~Are you hungry? You can suck my blood, Hareishan.~ + suckblood
 ++ ~Tell me your story, Hareishan.~ + talkHareishanM
 ++ ~No, nothing right now, Hareishan.~ + byesilent
  ++ ~I decided to end your life.~ + briefing3f
END

IF ~Gender(Player1,FEMALE)
InParty(Myself)
Race(Player1,VAMPIRE)~ THEN BEGIN GreetingFemV1
SAY ~My mistress, do you need something from me?~ 
 ++ ~Are you hungry? You can suck my blood, Hareishan.~ + suckblood
 ++ ~Tell me your story, Hareishan.~ + talkHareishanF
 ++ ~No, nothing right now, Hareishan.~ + byesilent
  ++ ~I decided to end your life.~ + briefing3f
END

IF ~Gender(Player1,MALE)
InParty(Myself)
!Race(Player1,VAMPIRE)~ THEN BEGIN GreetingMan1
SAY ~<CHARNAME>, do you need something from me?~ 
 ++ ~Are you hungry? You can suck my blood, Hareishan.~ + suckblood
 ++ ~Make me a vampire, Hareishan.~ + vampconvm
 ++ ~Tell me your story, Hareishan.~ + talkHareishanM
 ++ ~No, nothing right now, Hareishan. Sorry.~ + byesilent
   ++ ~I decided to end your life.~ + briefing3f
END

IF ~Gender(Player1,FEMALE)
InParty(Myself)
!Race(Player1,VAMPIRE)~ THEN BEGIN GreetingFem1
SAY ~<CHARNAME>, do you need something from me?~ 
 ++ ~Are you hungry? You can suck my blood, Hareishan.~ + suckblood
 ++ ~Make me a vampire, Hareishan.~ + vampconvf 
 ++ ~Tell me your story, Hareishan.~ +   talkHareishanM
 ++ ~No, nothing right now, Hareishan. Sorry for disturbance.~ + byesilent
   ++ ~I decided to end your life.~ + briefing3f
END

IF ~~ byesilent
SAY ~As you wish!~
  IF ~~ THEN DO ~~ EXIT
END


IF ~~ talkHareishanM
  SAY ~I born in Zentarim. I was studing magics well and on our exams day got an appointment to help Iron Throne organization with defence and to watch what's happening there. I served at Baldur's Gate main office.~
  IF ~~ THEN GOTO talkHareishanM2
END

IF ~~ talkHareishanM2
  SAY ~ When a dwarven mine was found, I was transferred here. This was so boring, and that bitch Natasha mocked me for my Zent accent. But then you came and stormed through the mine. You killed me, and Night Counsil agent made me into vampire.~
  IF ~~ THEN GOTO talkHareishanM3
END

IF ~~ talkHareishanM3
  SAY ~Finally I was sent to Ahkatla to serve and watch over Bodhi. She knew I am from counsil, by the way. Then you came and stormed through the crypt. 'The story repeats' they say.~
  IF ~~ THEN EXIT
END


IF ~~ talkHareishanF
  SAY ~I born in Zentarim. I was studing magics well and on our exams day got an appointment to help Iron Throne organization with defence and to watch what's happening there. I served at Baldur's Gate main office.~
  IF ~~ THEN GOTO talkHareishanF2
END

IF ~~ talkHareishanF2
  SAY ~ When a dwarven mine was found, I was transferred here. This was so boring, and that bitch Natasha mocked me for my Zent accent. But then you came and stormed through the mine. You killed me, and Night Counsil agent made me into vampire.~
  IF ~~ THEN GOTO talkHareishanF3
END

IF ~~ talkHareishanF3
 SAY ~Finally I was sent to Ahkatla to serve and watch over Bodhi. She knew I am from counsil, by the way. Then you came and stormed through the crypt. 'The story repeats' they say.~
   IF ~~ THEN EXIT
END



IF ~~ suckblood
  SAY ~I'll be fast!~
  IF ~!Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckbloodNo  
  IF ~Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckblood2
END

IF ~~ suckbloodNo
  SAY ~Are you joking? I will not drink this!~
  IF ~~ THEN DO ~~ EXIT
END

IF ~~ suckblood2
  SAY ~Wonderful!~
  IF ~~ THEN DO ~ApplyDamagePercent(Player1,75,MAGIC)
  SetGlobalTimer("BloodlustTimer","LOCALS",ONE_DAY)
		ApplySpell(Myself,RESTORE_FULL_HEALTH)~ EXIT 
END

IF ~~ vampconvm
  SAY ~(Hareishan embraces you by neck and gets closer.)~
  IF ~!Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckbloodNo  
  IF ~Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO vampconv2
END


IF ~~ vampconvf
  SAY ~(Hareishan's teeth go out and gently bite you in your neck.)~
  IF ~!Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckbloodNo  
  IF ~Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO vampconv2
END

IF ~~ vampconv2
  SAY ~(Suddently you feel her teeths have pierced your skin and gone to carotid vein. Blood flow is distracted and becomes pulsating. You feel that your blood flows into Hareishan.)~
IF ~~ GOTO vampconv3
END

IF ~~ vampconv3
  SAY ~(Soon you feel great weakness, your throuths are clouded. And you loose consciousness.)~
IF ~~ GOTO vampconv4
END

IF ~~ vampconv4
  SAY ~(...You open your eyes. World around you have changed. You have changed. You feel coldness of your body and immediately you feel all-consuming hunger growing in you.)~
IF ~~ GOTO vampconv5
END

IF ~~ vampconv5
  SAY ~(You are now undead, as you wished. Now you feel presence of Hareishan. She is surely a hot eastern woman.)~

  IF ~~ THEN DO ~  ActionOverride(Player1,SetGlobal("ActorVampirisedLevel","LOCALS",2))
		ChangeStat(Player1,CON,4,ADD)
	

		SetGlobal("HareishanVampirized","GLOBAL",1)	
	~ EXIT
END


